+++
title = "Dla użytkowników"
template = "section.html"
+++

[TOC]

Zanim przejdziemy do konkretnych platform trzeba wspomnieć o niezwykle ważnym dla serwisów zdecentralizowanych projekcie **Fediwersum** (ang. Fediverse). Nazwa powstała ze zlepienia słów **federacja** i **uniwersum**. Celem projektu jest stworzenie rozległej sieci serwerów, które poprzez implementację tych samych protokołów komunikacyjnych mogłyby bez przeszkód wymieniać pomiędzy sobą informacje.

W skład Fediwersum wchodzą różnego rodzaju platformy (m.in. mikroblogowe, społecznościowe, wideo). Posiadając konto na platformnie wchodzącej w skład Fediwersum możemy bez problemu obserwować użytkowników innych platform czy np. używać naszego konta na platformie mikroblogowej aby komentować filmy na platformie wideo. Dzięki temu Fediwersum rozwiązuje problem tożsamości i nie wymusza na nas tworzenia osobnych kont na każdej z tych platform. Dla odpowiedniego porównania wyobraźmy sobie sytuację, w której mamy możliwość użycia naszego konta Facebookowego do skomentowania filmu na YouTube lub konta Twitterowego do śledzenia znajomego na Facebooku. W sieci Fediwersum takie interakcje są możliwe bo wszystkie platformy się ze sobą dogadują.

Na poniższej liście platform zaznaczymy te, które wchodzą w skład Fediwersum.

## Platformy mikroblogowe

### Mastodon (Fediwersum)

Mastodon to platforma mikroblogowa zbliżona do Twittera lecz oparta na otwartej sieci serwerów. Każdy serwer rządzi się swoimi własnymi prawami czego manifestacją jest regulamin serwera opisujący rzeczy, które nie są mile widziane przez administratorów. Często są to społeczności tematyczne skupione wokół wspólnych zainteresowań użytkowników lub regionalne łączące użytkowników z tego samego regionu.

![Mastodon](mastodon.png)


* Strona projektu: [joinmastodon.org](https://joinmastodon.org/)
* Aplikacje klienckie: [joinmastodon.org/apps](https://joinmastodon.org/apps)
* Lista serwerów podzielona na kategorie: [joinmastodon.org/communities](https://joinmastodon.org/communities)
* Polskie serwery:
    * [101010.pl](https://101010.pl)
    * [fedi.lewactwo.pl](https://fedi.lewactwo.pl/)
    * [mastodon.pl](https://mastodon.pl/)


### Pleroma (Fediwersum)

Pleroma to kolejna alternatywa dla Twittera. Zawiera w sobie funkcjonalność Mastodona, do których durzuca kilka dodatkowych tj. reakcje w postaci emoticon. Podobnie jak Mastodon Pleroma komunikuje się za pomocą tego samego protokołu co Mastodon (ActivityPub) tym samym serwery używające Pleromy mogą swobodnie komunikować się również z serwerami Mastodona tworząc wspólnie jedną dużą sieć.

![Pleroma](pleroma.png)

* Strona projektu: [pleroma.social](https://pleroma.social/)
* Aplikacje klienckie: [docs.pleroma.social/backend/clients/](https://docs.pleroma.social/backend/clients/)
* Lista serwerów: [fedidb.org/network?s=pleroma](https://fedidb.org/network?s=pleroma)
* Polskie serwery:
    * [fediverse.pl](https://fediverse.pl)


### Misskey (Fediwersum)

Misskey to wywodząca się z Japonii platforma mikroblogowa. Z unikatowych funkcji jakie ma do zaoferowania Misskey, w odróżnienia od Mastodona czy Plermony, można wymieć funkcję dysku do przechowywania plików użytkownika, kalendarz, gry czy bardzo elastyczny interfejs użytkownika, który możemy dostosować do swoich upodobań.

![Misskey](misskey.jpg)

* Strona projektu: [join.misskey.page](https://join.misskey.page/)
* Lista serwerów: [join.misskey.page/en-US/instances](https://join.misskey.page/en-US/instances)


## Platformy społecznościowe

### Diaspora (Fediwersum)

Projekt Diaspora został powołany do życia w 2010 przez grupkę znajomych mających wspólny cel - zbudowanie serwisu społecznościowego, który oddałby kontrole z powrotem w ręce użytkowników. Obecnie Diaspora cieszy się dużą i stabilną grupą użytkowników. Wiele osób dołączyło do Diaspory w poszukiwaniu alternatyw dla platform tworzonych przez duże korporacje.

![Diaspora](diaspora.png)

Diaspora posiada możliwość grupowania znajomych (aspekty) i udostępnienia treści tylko wybranym grupom. Oprócz tego znajdziemy tam również możliwość tworzenia ankiet, tagowanie treści, powiadomienia o urodzinach, dwu-etapową autoryzację czy wsparcie dla składni Markdown.

* Strona projektu: [diasporafoundation.org](https://diasporafoundation.org/)
* Aplikacja mobilna: [dandelion*](https://f-droid.org/en/packages/com.github.dfa.diaspora_android/)
* Lista serwerów: [the-federation.info/diaspora](https://the-federation.info/diaspora)

### Friendica (Fediwersum)

Friendica celuje w bycie platformą dla każdego. Osoby przybywające z innych platform powinny tutaj czuć się jak w domu, odnajdując funkcjonalności znane z innych serwisów. Ze względu na niskie zużycie zasobów Friendica jest często wybierana przez administratorów serwerów. Jest dobrze zintegrowana z pozostałą częścią Fediwersum przez co jej użytkownicy mogą z łatwością śledzić znajomych zamieszkujących inne usługo Fediwersum.

![Friendica](friendica.png)

* Strona projektu: [friendi.ca](https://friendi.ca/)
* Aplikacje mobilne: [github.com/friendica/friendica/wiki/Clients](https://github.com/friendica/friendica/wiki/Clients)
* Lista serwerów: [dir.friendica.social/servers](https://dir.friendica.social/servers)
* Polskie serwery: [dir.friendica.social/servers/pl](https://dir.friendica.social/servers/pl)


## Platformy blogowe

### WriteFreely (Fediwersum)

WriteFreely to platforma do publikowania treści, przeznaczona dla blogerów lub osób, które lubią wyrażać swoje myśli w postaci dłuższych tekstów. WriteFreely skupia się na łatwości tworzenia tekstów oraz ich czytelności. Oprócz tekstu wspiera także publikacje zdjęć, treści wideo oraz składnię Markdown. Treści publikowane przez WriteFreely mogę być z łatwością śledzone czy komentowane przez innych użytkowników sieci Fediwersum.

![WriteFreely](writefreely.png)

* Strona projektu: [writefreely.org](https://writefreely.org/)
* Aplikacje mobilne: [writefreely.org/apps](https://writefreely.org/apps)
* Lista serwerów: [writefreely.org/instances](https://writefreely.org/instances)


## Platformy wideo

### PeerTube (Fediwersum)

W odróżnieniu od platform scentralizowanych PeerTube nie postrzega swoich użytkowników jako produktu, który można śledzić i pokazywać reklamy. Celem PeerTube'a jest stworzenie sieci powiązanych ze sobą platform przechowujących pliki wideo dając użytkownikom możliwość wybóru takiej platformy, która spełnia ich wymagania dotyczące zasad korzystania z serwisu oraz cenzury. Nie znajdziecie tutaj algorytmów rekomendujących kolejne filmy do obejrzenia czy konieczności oddawania komuś praw autorskich do naszych filmów. Strumieniowanie filmów odbywa się za pomocą sieci peer-to-peer (p2p) czyli użytkownicy oglądający materiały wideo automatycznie pomagają w transferze danych do pozostałych użytkowników chcących obejrzeć ten film.

![PeerTube](peertube.png)

* Strona projektu: [joinpeertube.org/pl/](https://joinpeertube.org/pl/)
* Aplikacje mobilne: [docs.joinpeertube.org/use-third-party-application](https://docs.joinpeertube.org/use-third-party-application)
* Lista serwerów: [joinpeertube.org/instances](https://joinpeertube.org/instances)
* Polskie serwery: [joinpeertube.org/instances](https://joinpeertube.org/instances) (przefiltruj po języku)


## Platformy foto

### PixelFed (Fediwersum)

Pixelfeed to platforma do hostingu zdjęć z nowoczesnym interfejsem użytkownika. Z funkcjonalości jakie oferuje ta platforma można wymienić: tworzenie kolekcji, edytor metadanych, wyłączanie komentarzy, pętle wideo, dwu-etapowa autoryzacja, stories, śledzenie tagów.

![PixelFed](pixelfed.png)

* Strona projektu: [pixelfed.org](https://pixelfed.org/)
* Lista serwerów: [the-federation.info/pixelfed](https://the-federation.info/pixelfed)

## Platformy audio

### Funkwhale (Fediwersum)

Funkwhale to platforma pozwalająca ma słuchanie oraz udostępnianie muzyki w sieci zdecentralizowanej. Aplikacja została tak zaprojektowana aby być nie tylko serwerem i odtwarzaczem muzyki, ale też miejscem skupiającym społeczność i pozwalającym odkrywać muzykę. Funkcjonalność wieloryba to: radia, playlisty, ulubione oraz rekomendowane utwory.

![Funkwhale](funkwhale.png)

* Strona projektu: [funkwhale.audio](https://funkwhale.audio/)
* Aplikacje mobilne: [funkwhale.audio/en_US/apps](https://funkwhale.audio/en_US/apps)
* Lista serwerów: [https://network.funkwhale.audio/dashboards/](https://network.funkwhale.audio/dashboards/d/overview/funkwhale-network-overview?orgId=1&refresh=2h)
* Polskie serwery:
  * [funkwhale.juniorjpdj.pl](https://funkwhale.juniorjpdj.pl/)
  * [muzyka.danelski.pl](https://muzyka.danelski.pl/)

## Agregatory linków

### Lemmy (Fediwersum)

Lemmy do platforma podobna to takich serwisów jak Reddit, Wykop czy Hacker News łączącą w sobie funkcję agregatora linków oraz portalu społecznościowego skupiającego użytkowników wokół tworzonych przez nich podserwisów tematycznych. Zdecentralizowanym atutem tej platformy jest możliwość śledzenia również treści, zamieszanych na różnych serwerach.

![Lemmy](lemmy.png)

* Strona projektu: [join-lemmy.org](https://join-lemmy.org/)
* Aplikacje mobilne: [join-lemmy.org/apps](https://join-lemmy.org/apps)
* Lista serwerów: [join-lemmy.org/instances](https://join-lemmy.org/instances)
* Polskie serwery:
    * [szmer.info](https://szmer.info/)

### Kbin (Fediwersum)

Agregator treści i platforma mikroblogowa wzorowana na Reddicie. Użytkownicy mogą tworzyć i moderować własne magazyny (społeczności tematyczne). Portal podzielony jest na dwa główne segmenty - "Stronę główną" zawierającą linki i dłuższe artykuły oraz "Wpisy", które są odpowiednikiem wykopowego mikrobloga.

![Kbin](kbin.png)

* Strona projektu: [kbin.pub](https://kbin.pub/)
* Polskie serwery:
  * [karab.in](https://karab.in/)


## Czat

### XMPP (dawniej Jabber)

XMPP to otwarty i rozszerzalny protokół komunikacyjny stworzony na potrzeby komunikatorów internetowych. Został zapoczątkowany w 1999 roku pod nazwą Jabber a w pełni ustandaryzowany w 2011 roku jako XMPP. Od tego czasu powstało już bardzo wiele komunikatorów oraz serwerów operujących na protokole XMPP. Oprócz znanej wszystkim listy kontaktów oraz rozmów tekstowych XMPP oferuje również czaty grupowe, rozmowy głosowe, rozmowy wideo, przesyłanie plików czy szyfrowanie. Zasadę działania XMPP można porównać do poczty elekronicznej gdzie wiele niezależnych serwerów komunikuje się pomiędzy sobą. XMPP można też wykorzystać do komunikacji wewnętrznej (np. w firmie) ponieważ sprawdza się doskonale nawet w odciętych od internetu sieciach prywatnych.

![XMPP](xmpp.png)

* Strona projektu: [xmpp.org](https://xmpp.org/)
* Aplikacje mobilne (i nie tylko): [xmpp.org/software/clients/](https://xmpp.org/software/clients/)
* Lista serwerów: [list.jabber.at](https://list.jabber.at/)


### Delta chat

Delta chat to komunikator, który do przesyłania wiadomości wykorzystuje zdecentralizowaną już sieć serwerów poczty elektronicznej. Można go porównać do specjalnego klienta poczty (wykorzystującego opcje natychmiastowego dostarczania wiadomości), który jest w stanie wykrywać specjalnie oznaczone wiadomości email i wyświetlać je w postaci czatu. Możemy rozmawiać również z osobami nie używającymi Delta chatu, wówczas zobaczą oni nasze wiadomości jako zwykłe emaile, na które mogą odpowiedzieć. Jednak jeżeli obie strony używają do komunikacji Delta chatu, wówczas wiadomości są automatycznie szyfrowane i tylko odbiora oraz nadawaca potrafią je odszyfrować.

![Delta chat](deltachat.png)

* Strona projektu: [delta.chat/pl/](https://delta.chat/pl/)
* Aplikacje mobilne (i nie tylko): [delta.chat/pl/download](https://delta.chat/pl/download)
* Lista serwerów: dowolny serwer poczty elektronicznej
